<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<% request.setCharacterEncoding("utf-8");%>
<%
String id=request.getParameter("id");
String passwd=request.getParameter("passwd");
String username=request.getParameter("username");
String str="";
ResultSet rs=null;

String sql=null;
try{
      Class.forName("oracle.jdbc.driver.OracleDriver");
      Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20182209","961127");
      sql="select * from CHANGMIN where id=? ";
      PreparedStatement pstmt=conn.prepareStatement(sql);
      pstmt.setString(1, id);
      
      rs=pstmt.executeQuery(); //결과 가져옴
     
     if(rs.next()){
     String dbPass=rs.getString("passwd");
        if(passwd.equals(dbPass)){
             pstmt=conn.prepareStatement("update CHANGMIN set username=? where id =? and passwd=?");
                                          //UPDATE 테이블명 SET 컬럼명=새로운값 WHERE 업데이트조건 
           pstmt.setString(1,username);
           pstmt.setString(2,id);
           pstmt.setString(3,passwd);
        
           pstmt.executeUpdate(); 
           out.println("정보수정 성공");
   response.sendRedirect("main.jsp");
       }else{
    	   out.println("비밀번호틀림");
       }
        }else{
        	 out.println("비밀번호틀림");
        }

}catch(Exception e){
e.printStackTrace();
}finally{
}
%>
<html>
<head>
<title>회원수정</title>
</head>
<body>
</body>
</html>
